Package com.io7m.cedarbridge.schema.binder.internal

# Class CBBinder

java.lang.Object
com.io7m.cedarbridge.schema.binder.internal.CBBinder

All Implemented Interfaces:
  `CBBinderType`, `AutoCloseable`

public final class CBBinder extends Object implements CBBinderType
Binding analysis for declarations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Optional<UUID>`
  `SPEC_SEMANTICS_PROTOCOL`
  The protocol spec section.
  `static final Optional<UUID>`
  `SPEC_SEMANTICS_RECORD`
  The record spec section.
  `static final Optional<UUID>`
  `SPEC_SEMANTICS_VARIANT`
  The variant spec section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBBinder(CBStringsType inStrings, CBLoaderType inLoader, Consumer<CBError> inErrors, CBExpressionLineLogType inLineLog, CBASTPackage inParsedPackage)`
  Binding analysis for import declarations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `execute()`
  Execute the binder.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SPEC_SEMANTICS_RECORD

    public static final Optional<UUID> SPEC_SEMANTICS_RECORD
    The record spec section.

  - ### SPEC_SEMANTICS_VARIANT

    public static final Optional<UUID> SPEC_SEMANTICS_VARIANT
    The variant spec section.

  - ### SPEC_SEMANTICS_PROTOCOL

    public static final Optional<UUID> SPEC_SEMANTICS_PROTOCOL
    The protocol spec section.

- ## Constructor Details

  - ### CBBinder

    public CBBinder(CBStringsType inStrings, CBLoaderType inLoader, Consumer<CBError> inErrors, CBExpressionLineLogType inLineLog, CBASTPackage inParsedPackage)
    Binding analysis for import declarations.
    Parameters:
      `inStrings` - String resources
      `inErrors` - An error consumer
      `inLineLog` - The line log for incoming expressions
      `inLoader` - A package loader
      `inParsedPackage` - The package to analyze

- ## Method Details

  - ### execute

    public void execute() throws CBBindFailedException
    Description copied from interface: `CBBinderType`
    Execute the binder.
    Specified by:
      `execute` in interface `CBBinderType`
    Throws:
      `CBBindFailedException` - On errors

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `CBBinderType`